# External port for the API used in docker-compose
API_EXTERNAL_PORT=5001

AIGW_GITLAB_URL=http://127.0.0.1:3000/
AIGW_GITLAB_API_URL=http://127.0.0.1:3000/api/v4/
AIGW_CUSTOMER_PORTAL_URL=http://127.0.0.1:5000

# Testing & development
AIGW_MOCK_MODEL_RESPONSES=false

# Log requests and responses during development
AIGW_LOGGING__LEVEL=debug
AIGW_LOGGING__FORMAT_JSON=true
AIGW_LOGGING__TO_FILE=''

AIGW_FASTAPI__API_HOST=0.0.0.0
AIGW_FASTAPI__API_PORT=5052
AIGW_FASTAPI__METRICS_HOST=0.0.0.0
AIGW_FASTAPI__METRICS_PORT=8082
AIGW_FASTAPI__UVICORN_LOGGER='{"version": 1, "disable_existing_loggers": false}'
AIGW_FASTAPI__DOCS_URL=/docs
AIGW_FASTAPI__OPENAPI_URL=/openapi.json
AIGW_FASTAPI__REDOC_URL=/redoc
AIGW_FASTAPI__RELOAD=true

AIGW_AUTH__BYPASS_EXTERNAL=true

# Profiling
AIGW_GOOGLE_CLOUD_PROFILER__ENABLED=false
AIGW_GOOGLE_CLOUD_PROFILER__VERBOSE=2
AIGW_GOOGLE_CLOUD_PROFILER__PERIODS_MS=10

# Instrumentators
AIGW_INSTRUMENTATOR__THREAD_MONITORING_ENABLED=false
AIGW_INSTRUMENTATOR__THREAD_MONITORING_INTERVAL=60

# Feature flags
AIGW_F__EXCL_POST_PROC='[]'

# Tracking
AIGW_SNOWPLOW__ENABLED=false
AIGW_SNOWPLOW__ENDPOINT=http://127.0.0.1:9090
AIGW_SNOWPLOW__BATCH_SIZE=10
AIGW_SNOWPLOW__THREAD_COUNT=1

# Anthropic model provider
ANTHROPIC_API_KEY=<API_KEY>

# Vertex AI model provider
AIGW_VERTEX_TEXT_MODEL__PROJECT=ai-enablement-dev-69497ba7
AIGW_VERTEX_TEXT_MODEL__LOCATION=us-central1
AIGW_VERTEX_TEXT_MODEL__ENDPOINT=us-central1-aiplatform.googleapis.com

AIGW_MODEL_ENGINE_CONCURRENCY_LIMITS='{}'
